View Issue Details

IDProjectCategoryView StatusLast Update
12585Bug reports[All Projects] Otherpublic2017-09-21 15:05
ReportervkuzminAssigned Toc_schmitz 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.67.x 
Target VersionFixed in Version2.67.x 
Summary12585: Some answer options written in Russian may be invisible on the quotas page
DescriptionSometimes (not so often) i can't see answer options on the quotas page. It happends with long labels only and single spacebar may fix it. I think that Limesurvey tried to cut the words in the middle of letters (UTF-8 codepage). This bug didnt appear recently, i've seen it in 2.5x.xx with php 5.5 too.
Steps To ReproduceCheck .lss and screenshot.
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.67.3+170728
I will donate to the project if issue is resolvedNo
BrowserChrome and Firefox
Database & DB-VersionMySQL 5.7.14
Operating System (Server)Windows 7 sp1 x64
Webserver software & versionApache/2.4.27 (Win32)
PHP VersionPHP/7.1.8

Activities

vkuzmin

vkuzmin

2017-08-09 17:00

reporter  

russian letters and quotas (ID844751).lss (16,909 bytes)
c_schmitz

c_schmitz

2017-08-10 20:26

administrator   ~44286

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=23625
c_schmitz

c_schmitz

2017-09-21 15:05

administrator   ~44439

Version 2.70.0 released

Related Changesets

LimeSurvey: master adccb2ac

2017-08-10 20:26:09

c_schmitz

Details Diff
Fixed issue 12585: In quotas some answer options using non-ASCII characters are not shown in overview
Dev Note that substr() is NOT UTF-8 safe
mod - application/controllers/admin/quotas.php Diff File

Issue History

Date Modified Username Field Change
2017-08-09 17:00 vkuzmin New Issue
2017-08-09 17:00 vkuzmin File Added: russian letters and quotas (ID844751).jpg
2017-08-09 17:00 vkuzmin File Added: russian letters and quotas (ID844751).lss
2017-08-10 20:23 c_schmitz Assigned To => c_schmitz
2017-08-10 20:23 c_schmitz Status new => assigned
2017-08-10 20:26 c_schmitz Changeset attached => LimeSurvey master adccb2ac
2017-08-10 20:26 c_schmitz Note Added: 44286
2017-08-10 20:26 c_schmitz Resolution open => fixed
2017-08-10 20:26 c_schmitz Status assigned => resolved
2017-08-10 20:26 c_schmitz Fixed in Version => 2.67.x
2017-09-21 15:05 c_schmitz Note Added: 44439
2017-09-21 15:05 c_schmitz Status resolved => closed